View Issue Details

IDProjectCategoryView StatusLast Update
0022851mantisbtinstallationpublic2017-06-04 14:58
ReporterdregadAssigned Todregad 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version2.5.0Fixed in Version2.5.0 
Summary0022851: Installer should display sample table names based on table prefix/suffix settings
Description

It is not always clear for administrators installing MantisBT, what is the combined effect of $g_db_table_prefix, $g_db_table_plugin_prefix and $g_db_table_suffix on the database tables' names.

Providing a preview of what "Core" and plugin tables names would look like when updating the options in the installer, would avoid surprises.

Due to a bug in db_get_table() (see 0020168), the use of string mantis as table_plugin_prefix can result in errors when installing, upgrading or even just simply using plugins with custom tables (see 0022811, https://github.com/mantisbt-plugins/source-integration/issues/212).

Additional Information

This is a follow-up on @cproensa's suggestion in 0020168:0051598

Probably also addressed by showing a short text in install script making clear how a table name would result.

TagsNo tags attached.

Relationships

related to 0020168 closeddregad Use of 'mantis' as plugin table prefix prevents plugin's installation 

Activities

Related Changesets

MantisBT: master 119adddc

2017-05-10 05:23:34

dregad

Details Diff
Install: preview table name

Adds a preview to show what actual table names will look like as the
administrator changes the table prefix and suffix fields.

Fixes 0022851
mod - admin/install.php Diff File
mod - js/install.js Diff File

MantisBT: master b2207408

2017-05-10 08:48:07

dregad

Details Diff
Display indentifier size limit warning for Oracle

Issue 0022851
mod - admin/install.php Diff File
mod - js/install.js Diff File

Issue History

Date Modified Username Field Change
2017-05-10 08:42 dregad New Issue
2017-05-10 08:42 dregad Status new => assigned
2017-05-10 08:42 dregad Assigned To => dregad
2017-05-10 08:43 dregad Relationship added related to 0020168
2017-05-10 09:01 dregad Note Added: 0056830
2017-05-15 04:45 dregad Changeset attached => MantisBT master 119adddc
2017-05-15 04:45 dregad Changeset attached => MantisBT master b2207408
2017-05-15 04:45 dregad Status assigned => resolved
2017-05-15 04:45 dregad Resolution open => fixed
2017-05-15 04:45 dregad Fixed in Version => 2.5.0
2017-06-04 14:58 vboctor Status resolved => closed